.top-round {
  border-top-left-radius: 40px;
  border-top-right-radius: 40px;
}
.all-round {
  border-radius: 40px !important;
}
.mat-form-field--no-underline .mat-input-underline {
  background-color: transparent;
}

.mat-step-header {
  overflow: hidden !important;
}

.overlay {
  height: 100%;
}

.overlay {
  position: fixed;
  background-color: rgba(241, 196, 15, 0.3);
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 999;
  /*  visibility: hidden;
  opacity: 0; */
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
  display: -webkit-box;
  display: flex;
  -webkit-box-align: center;
  align-items: center;
  -webkit-box-pack: center;
  justify-content: center;
}

.spinner {
  -webkit-animation: rotator 1.4s linear infinite;
  animation: rotator 1.4s linear infinite;
  z-index: 1000000;
}

@-webkit-keyframes rotator {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(270deg);
    transform: rotate(270deg);
  }
}

@keyframes rotator {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(270deg);
    transform: rotate(270deg);
  }
}

.path {
  stroke-dasharray: 187;
  stroke-dashoffset: 0;
  -webkit-transform-origin: center;
  transform-origin: center;
  -webkit-animation: dash 1.4s ease-in-out infinite,
    colors 5.6s ease-in-out infinite;
  animation: dash 1.4s ease-in-out infinite, colors 5.6s ease-in-out infinite;
}

@-webkit-keyframes colors {
  0% {
    stroke: #f1c40f;
  }
  25% {
    stroke: #f39c12;
  }
  50% {
    stroke: #e67e22;
  }
  75% {
    stroke: #333333;
  }
  100% {
    stroke: #f1c40f;
  }
}

@keyframes colors {
  0% {
    stroke: #f1c40f;
  }
  25% {
    stroke: #f39c12;
  }
  50% {
    stroke: #e67e22;
  }
  75% {
    stroke: #333333;
  }
  100% {
    stroke: #f1c40f;
  }
}

@-webkit-keyframes dash {
  0% {
    stroke-dashoffset: 187;
  }
  50% {
    stroke-dashoffset: 46.75;
    -webkit-transform: rotate(135deg);
    transform: rotate(135deg);
  }
  100% {
    stroke-dashoffset: 187;
    -webkit-transform: rotate(450deg);
    transform: rotate(450deg);
  }
}

@keyframes dash {
  0% {
    stroke-dashoffset: 187;
  }
  50% {
    stroke-dashoffset: 46.75;
    -webkit-transform: rotate(135deg);
    transform: rotate(135deg);
  }
  100% {
    stroke-dashoffset: 187;
    -webkit-transform: rotate(450deg);
    transform: rotate(450deg);
  }
}

/* wave effect */

.wave {
  overflow: hidden;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  z-index: -5;
}

.wave::before,
.wave::after {
  content: "";
  position: absolute;
  width: 80vh;
  height: 100vh;
  border-top-left-radius: 40%;
  border-top-right-radius: 45%;
  border-bottom-left-radius: 35%;
  border-bottom-right-radius: 40%;
  z-index: -1;
}

.wave::before {
  left: 77%;
  top: -17%;
  background-color: #262626;
  -webkit-animation: wawes 30s infinite linear;
  -moz-animation: wawes 30s infinite linear;
  animation: wawes 30s infinite linear;
}

.wave::after {
  left: 80%;
  top: -20%;
  background-color: #262626;
  -webkit-animation: wawes 38s infinite;
  -moz-animation: wawes 38s infinite;
  animation: wawes 38s infinite;
}

@-webkit-keyframes wawes {
  from {
    -webkit-transform: rotate(0);
  }
  to {
    -webkit-transform: rotate(360deg);
  }
}

@-moz-keyframes wawes {
  from {
    -moz-transform: rotate(0);
  }
  to {
    -moz-transform: rotate(360deg);
  }
}

@keyframes wawes {
  from {
    -webkit-transform: rotate(0);
    -moz-transform: rotate(0);
    -ms-transform: rotate(0);
    -o-transform: rotate(0);
    transform: rotate(0);
  }
  to {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
.don-menu {
  width: 100%;
  display: flex;
  flex: 1;
  flex-direction: row;
  justify-content: space-evenly;
}
.focus-don {
  background-color: #f7fafc;
}
.blur-don {
  background-color: #f1c40f;
  box-shadow: 0 7px 14px rgba(50, 50, 93, 0.1), 0 3px 6px rgba(0, 0, 0, 0.08);
  -webkit-transform: translateY(-1px);
  transform: translateY(-1px);
}
.btn {
  border-radius: 50px;
  width: 50%;
}
